Skip to main content
PATCH
Update CDC ClickPipes scaling

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

Body

application/json
replicaCpuMillicores
integer

CPU in millicores for DB ClickPipes.

Required range: 1000 <= x <= 24000Must be a multiple of 1000
Example:

2000

replicaMemoryGb
number

Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.

Required range: 4 <= x <= 96Must be a multiple of 4
Example:

8

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 2, 2026